
Public Class usrCntlKundenKontakte

    'Dim KD_KONTAKT As VERAG_PROG_ALLGEMEIN.cKundenKontakt = Nothing
    Public kdNr As Integer

    Dim SQL As New VERAG_PROG_ALLGEMEIN.SQL


    Sub New()

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()

        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
    End Sub

    Sub New(kdNr)

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()

        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        Me.kdNr = kdNr
    End Sub


    Sub init(kdNr)
        dgvAufschub.Rows.Clear()
        Me.kdNr = kdNr
        initDGV()
    End Sub

    Private Sub usrCntlKundenKontakte_Load(sender As Object, e As EventArgs) Handles Me.Load
        init(kdNr)
    End Sub

    Sub initDGV()
        dgvAufschub.Rows.Clear()
        If dgvAufschub.Columns.Count >= 5 Then
            If kdNr > 0 Then
                Dim dt = SQL.loadDgvBySql("SELECT *  FROM [tblKundenKontakt]  where [kkd_KundenNr]=" & kdNr, "FMZOLL")
                If dt IsNot Nothing Then
                    For Each r In dt.Rows
                        Dim anspr = (If(r("kkd_AnsprechpartnerAnrede"), "") & " " & If(r("kkd_AnsprechpartnerVorname"), "") & " " & If(r("kkd_AnsprechpartnerNachname"), "")).trim
                        dgvAufschub.Rows.Add(r("kkd_id"), r("kkd_kkaBez"), r("kkd_Tel"), r("kkd_Email"), anspr, r("kkd_Fax"))
                    Next
                End If
            End If
        End If
    End Sub


    Private Sub dgvAufschub_CellDoubleClick(sender As Object, e As DataGridViewCellEventArgs) Handles dgvAufschub.CellDoubleClick, dgvAufschub.CellContentDoubleClick
        If VERAG_PROG_ALLGEMEIN.cBerechtignunen.CHECK_BERECHTIGUNG_bool("Kundendaten_bearbeiten", Me.FindForm) Then

            If dgvAufschub.SelectedRows.Count > 0 Then
                Dim f As New frmKundenKontakteDetails(kdNr, dgvAufschub.SelectedRows(0).Cells("KdKontaktId").Value)
                f.ShowDialog(Me)
                initDGV()
            End If
        End If
    End Sub

    Private Sub btn_Click(sender As Object, e As EventArgs) Handles btn.Click
        Dim f As New frmKundenKontakteDetails(kdNr)
        f.ShowDialog(Me)
        initDGV()
    End Sub


    Private Sub dgvAufschub_KeyDown(sender As Object, e As KeyEventArgs) Handles dgvAufschub.KeyDown
        If e.KeyCode = Keys.Delete Then
            If VERAG_PROG_ALLGEMEIN.cBerechtignunen.CHECK_BERECHTIGUNG_bool("Kundendaten_bearbeiten", Me.FindForm) Then
                If dgvAufschub.SelectedRows.Count > 0 Then
                    If vbYes = MsgBox("Möchten Sie den Kontakt wirklich löschen?", vbYesNoCancel) Then
                        Dim kd_k As New VERAG_PROG_ALLGEMEIN.cKundenKontakte(dgvAufschub.SelectedRows(0).Cells("KdKontaktId").Value)
                        kd_k.DELETE()
                        initDGV()
                    End If
                End If
            End If
        End If
    End Sub
End Class
